Closed Bug 960004 Opened 6 years ago Closed 5 years ago

pricecheck.co.za sends simplified site to Firefox OS

Categories

(Web Compatibility :: Mobile, defect)

All
Gonk (Firefox OS)
defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: hsteen, Assigned: adamopenweb)

References

()

Details

(Whiteboard: [serversniff] [country-za] [sitewait])

Attachments

(1 file)

Attached image 044.png
Firefox on Android is redirected to m.pricecheck and from there to touch.pricecheck - Firefox OS doesn't get the last redirect:

GET / HTTP/1.1
User-Agent: Mozilla/5.0 (Android; Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Host: www.pricecheck.co.za

HTTP/1.1 302 Found
Date: Wed, 15 Jan 2014 10:47:31 GMT
Server: Apache/2.2.3 (CentOS)
X-Powered-By: PHP/5.3.3
Location: http://m.pricecheck.co.za/
Cache-Control: max-age=0
Expires: Wed, 15 Jan 2014 10:47:31 GMT
Vary: Accept-Encoding
Content-Length: 0
Content-Type: text/html; charset=utf-8

------------------------------------------------------------------
GET / HTTP/1.1
User-Agent: Mozilla/5.0 (Android; Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Host: m.pricecheck.co.za

HTTP/1.1 302 Found
Date: Wed, 15 Jan 2014 10:47:32 GMT
Server: Apache/2.2.3 (CentOS)
X-Powered-By: PHP/5.3.3
Set-Cookie: pricecheck_session_id=PriceCheck_52d66744a4957; expires=Thu, 11-Jan-2029 10:47:32 GMT; path=/
Location: http://touch.pricecheck.co.za
Vary: Accept-Encoding
Content-Length: 0
Content-Type: text/html; charset=utf-8

------------------------------------------------------------------
GET / HTTP/1.1
User-Agent: Mozilla/5.0 (Android; Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Host: touch.pricecheck.co.za

HTTP/1.1 200 OK
Date: Wed, 15 Jan 2014 10:47:33 GMT
Server: Apache/2.2.3 (CentOS)
X-Powered-By: PHP/5.3.3
Cache-Control: max-age=86400
Expires: Thu, 16 Jan 2014 10:47:33 GMT
Vary: Accept-Encoding
Content-Type: text/html; charset=UTF-8
Content-Length: 151368

------------------------------------------------------------------
GET / HTTP/1.1
User-Agent: Mozilla/5.0 (Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Host: www.pricecheck.co.za

HTTP/1.1 302 Found
Date: Wed, 15 Jan 2014 10:47:41 GMT
Server: Apache/2.2.3 (CentOS)
X-Powered-By: PHP/5.3.3
Location: http://m.pricecheck.co.za/
Cache-Control: max-age=0
Expires: Wed, 15 Jan 2014 10:47:41 GMT
Vary: Accept-Encoding
Content-Length: 0
Content-Type: text/html; charset=utf-8

------------------------------------------------------------------
GET / HTTP/1.1
User-Agent: Mozilla/5.0 (Mobile; rv:23.0) Gecko/23.0 Firefox/23.0
Host: m.pricecheck.co.za

HTTP/1.1 200 OK
Date: Wed, 15 Jan 2014 10:47:42 GMT
Server: Apache/2.2.3 (CentOS)
X-Powered-By: PHP/5.3.3
Set-Cookie: pricecheck_session_id=PriceCheck_52d6674e489ab; expires=Thu, 11-Jan-2029 10:47:42 GMT; path=/
Vary: Accept-Encoding
Content-Length: 3817
Content-Type: text/html; charset=utf-8

------------------------------------------------------------------
Trying twitter first.
Assignee: nobody → astevenson
Status: NEW → ASSIGNED
Whiteboard: [serversniff] [country-za] [contactready] → [serversniff] [country-za] [sitewait]
No response, trying a developer on twitter https://twitter.com/MozWebCompat/status/429034241603547136
Contact on twitter is bringing up with the dev team.
This is FIXED. Congrats Adam
Status: ASSIGNED → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
Not fixed for me. (Remember it's a tier-1 type bug, we do get a mobile experience but not a nice one).
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Status: REOPENED → NEW
ooooh. My bad. 
Just to add that the version sent to Firefox for Android is working well with Gecko. So it's really a matter of UA sniffing. Firefox for Android and Chrome Mobile STAYS on the desktop site which is ***responsive***. They do not go anymore to a touch version.


→ http --print hH GET http://www.pricecheck.co.za/ "User-Agent:Mozilla/5.0 (Android; Mobile; rv:23.0) Gecko/23.0 Firefox/23.0"
GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate
Host: www.pricecheck.co.za
User-Agent: Mozilla/5.0 (Android; Mobile; rv:36.0) Gecko/36.0 Firefox/36.0

HTTP/1.1 200 OK
Cache-Control: no-cache
Content-Encoding: gzip
Content-Type: text/html; charset=UTF-8
Date: Mon, 29 Dec 2014 08:04:13 GMT
Server: Apache/2.2.3 (CentOS)



So maybe we just need to ask them to stop doing UA sniffing for Firefox OS ;)
aka UAs like:
    Mozilla/5.0 (Mobile; rv:36.0) Gecko/36.0 Firefox/36.0
As confirmed by last test run.. FIXED by the site :)
Status: NEW → RESOLVED
Closed: 5 years ago5 years ago
Resolution: --- → FIXED
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.